Bug 172755 - Review Request: xcompmgr - X11 composite manager
Review Request: xcompmgr - X11 composite manager
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
http://xapps.freedesktop.org
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-11-09 00:06 EST by Deji Akingunola
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-30 20:30:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deji Akingunola 2005-11-09 00:06:22 EST
Spec Name or Url: ftp://czar.eas.yorku.ca/pub/xcompmgr/xcompmgr.spec
SRPM Name or Url: ftp://czar.eas.yorku.ca/pub/xcompmgr/xcompmgr-1.1.3.srpm
Description: xcompmgr is a sample compositing manager for X servers supporting the XFIXES, DAMAGE, and COMPOSITE extensions. It enables basic eye-candy effects
Comment 1 Rudolf Kastl 2005-12-10 20:39:50 EST
files not avialable anymore
Comment 2 Deji Akingunola 2005-12-10 20:50:22 EST
sorry about that, check again.
Comment 3 Rudolf Kastl 2005-12-11 20:09:24 EST
a working url. the link for your binary package doesent work (no big deal).
ftp://czar.eas.yorku.ca/pub/xcompmgr/

spec file looks good to me ;) works like a charm on x86_64 rawhide and nvidia
card for me.

Comment 4 Andy Burns 2006-01-03 12:02:14 EST
These files were there 10 minutes ago, now they're gone :-(
Comment 5 Deji Akingunola 2006-01-03 14:21:33 EST
(In reply to comment #4)
> These files were there 10 minutes ago, now they're gone :-(

The computer hosting the files was reboot around that time, should be alright
now. And as Rudolf noted earlier, the proper link is;
 ftp://czar.eas.yorku.ca/pub/xcompmgr/xcompmgr.spec
 ftp://czar.eas.yorku.ca/pub/xcompmgr/xxcompmgr-1.1.3-1.src.rpm
Comment 7 Andy Burns 2006-01-03 16:50:52 EST
> The computer hosting the files was reboot around that time

Yep, got it now, built OK on x86_64 (warning about non-existant user using root
instead) xcompmgr runs fine with xorg 7.0RC4 on radeon

Section "Extensions"
        Option "Composite" "Enable"
EndSection

Section "Device"
        Identifier  "Videocard0"
        VendorName  "Sapphire"
        BoardName   "ATI Technologies Inc RV370 X550"
        ChipId      0x5b62
        Driver      "radeon"
        Option      "AccelMethod" "EXA"
        Option      "EnablePageFlip" "false"
        Option      "DDCMode"
        Option      "RenderAccel" "true"
        Option      "SubPixelOrder" "NONE"
        Option      "ColorTiling" "false"
EndSection

xcompmgr loads, KDE with transparent/fade/shadows works ok, if rather slowly.

one or two cases where single row of pixels not composited properly, I wouldn't
know if this was xorg, kde or xcompmgr though.

On a 3GHz P4 it eats 50% user CPU + 30% system cpu by runnign a fully cached "ls
-lR /" in a foreground konsole, if running in a transparent background konsole
it still eats 50% user but only eats 10% system, however it runs about 1/4 the
speed.

I'm sure that slowness is to be expected without using fglrx, but would be
delighted to receive any magic xorg.conf tweaks :-)

Is anything blocking this going into extras?
Comment 8 Bryan O'Sullivan 2006-02-03 10:15:52 EST
I'd love to see this in extras, too, but the URL is down again.
Comment 9 Kevin Fenzi 2006-02-12 14:15:21 EST
Greetings, heres a review:

MUST items:

OK - package name good.
OK - spec file matches.
OK - spec in english.
OK - spec legible.
OK - md5sum matches:
44ccbafa8484b7e0c00e5c83cd915adc  xcompmgr-1.1.3.tar.gz
44ccbafa8484b7e0c00e5c83cd915adc  xcompmgr-1.1.3.tar.gz.1
OK - compiles and builds under devel.
OK - files and dirs ok.
OK - clean section good.
OK - macros good.
OK - builds ok in mock on devel.

Needs looking at:

1. License. Is it really X11/MIT? I see that SuSE ships this package as GPL.
The License at the top of the .c file does look BSDish. Might confirm?

2. rpmlint has some output:

E: xcompmgr description-line-too-long xcompmgr is a sample compositing manager
for X servers supporting the XFIXES, DAMAGE, and COMPOSITE extensions. It
enables basic eye-candy effects
W: xcompmgr invalid-license MIT/X11
W: xcompmgr-debuginfo invalid-license MIT/X11

You might add a line break or two in the description line.

Optional:

3. You might optionally ship the Changelog file as a doc.

4. You might get upstream to ship a copy of it's license with it.

Clarify and confirm the License and fix the description line,
and I will APPROVE.
Comment 10 Deji Akingunola 2006-02-15 23:08:54 EST
Sorry for responding so promptly. i can't really confirm the specific license
here, but i daresay it's definitely not GPL, see the last entry in the changelog
for that. In keeping with other products (apps, libs, and drivers) available
from xorg, I'll say MIT/X11 is okay.
Description line in the spec file is fixed and changelog shipped as doc.
ftp://czar.eas.yorku.ca/pub/xcompmgr/xcompmgr.spec
ftp://czar.eas.yorku.ca/pub/xcompmgr/xcompmgr-1.1.3-2.src.rpm

Thanks for doing the review.
Comment 11 Kevin Fenzi 2006-02-16 00:00:46 EST
ok, I did some searching around. It appears the license is really a SGI/STL
license ( something like: http://www.mcda.org/help/stl.html ).

From what I could gather this is a very close variant of the MIT license, 
so it should be ok to ship. 

Note that rpmlint only has "MIT" as a valid license, not MIT/X11. 

I would say change the License to just MIT and then it's APPROVED. 

Thanks for your patience. 
Comment 12 Wart 2006-02-16 00:14:46 EST
(In reply to comment #11)
> ok, I did some searching around. It appears the license is really a SGI/STL
> license ( something like: http://www.mcda.org/help/stl.html ).
> 
> From what I could gather this is a very close variant of the MIT license, 
> so it should be ok to ship. 
> 
> Note that rpmlint only has "MIT" as a valid license, not MIT/X11. 
> 
> I would say change the License to just MIT and then it's APPROVED. 

I disagree.  IMHO, I don't think we should be changing license tags just to
silence rpmlint warnings.  If rpmlint warns about it then make a note of it in
the spec file, file a bug with rpmlint, and live with the warning.
Comment 13 Kevin Fenzi 2006-02-16 00:27:30 EST
The License is very close to the MIT license. It's even closer to the STL license. 

However, it's not exactly either of them as it has the name of the author in
some places. Best I suppose would be to make the License field "STL" as thats
what it's closest to, and file a RFE against rpmlint to add that license. 

I think rpmlint only recognizes the MIT tag as thats what OSI calls the MIT/X11
license. gnu.org calls it only the X11 license and says "This license is
sometimes called the "MIT" license, but that term is misleading, since MIT has
used many licenses for software." 

I guess I do see a number of packages using X11/MIT, so I guess rpmlint should
recognize either of the forms of this same license (X11, MIT/X11, MIT). 
Comment 14 Kevin Fenzi 2006-03-05 15:02:38 EST
Ping Deji. 

Per the license comments, unless there is further objection, could you change it
to STL in the package and file a RFE against rpmlint to add that as a valid
license? Thoughts?

Comment 15 Gilboa Davara 2006-03-15 13:16:30 EST
Small fix: (Changelog -> ChangeLog)

[gilboa@gilboa-home-dev SPECS]$ diff -u old/xcompmgr.spec new/xcompmgr.spec
--- old/xcompmgr.spec   2006-03-15 20:21:45.000000000 +0200
+++ new/xcompmgr.spec   2006-03-15 20:20:10.000000000 +0200
@@ -1,7 +1,7 @@
 Summary: X11 composite manager
 Name: xcompmgr
 Version: 1.1.3
-Release: 2
+Release: 3
 License: MIT/X11
 Group: User Interface/X
 URL: http://xapps.freedesktop.org
@@ -34,7 +34,7 @@

 %files
 %defattr(-,root,root,-)
-%doc Changelog
+%doc ChangeLog
 %{_bindir}/xcompmgr
 %{_mandir}/man1/xcompmgr.1.gz
Comment 16 Kevin Fenzi 2006-04-22 14:35:38 EDT
In response to comment #15: 

good catch. That change should be made. 

Deji: Are you still around? Do you still want to maintain this package?
Comment 17 Deji Akingunola 2006-04-22 15:41:00 EDT
Hi all,

I'm still around ;) I'm sorry I've almost forgotten the package is still at this
stage. I've change the license tag to MIT (I can't find any reference to STL
anywhere in the source). newer spec and src.rpm files are at the usual place;
ftp://czar.eas.yorku.ca/pub/xcompmgr/xcompmgr.spec
ftp://czar.eas.yorku.ca/pub/xcompmgr/xcompmgr-1.1.3-3.src.rpm
 
Comment 18 Gilboa Davara 2006-04-22 17:06:59 EDT
BTW,

There are large number of fixes in cvs. (including the odd rdesktop problem.)
Any idea when 1.3.4 will be out?

G.
Comment 19 Kevin Fenzi 2006-04-29 16:21:31 EDT
In answer to comment #17: 

Well, the package doesn't mention the license as being STL, but look at: 
http://www.mcda.org/help/stl.html

and then diff it vs the license in this package and the first part is identical,
then this package has 

"...and that the name of Keith Packard not be used in
advertising or publicity pertaining to distribution of the software without
specific, written prior permission.  Keith Packard makes no
representations about the suitability of this software for any purpose.  It
is provided "as is" without express or implied warranty."

So I think it's much closer to the STL license than the MIT one. 

Any license gurus out there that can chime in? 

In refrence to comment #18: 

Which CVS repo are you looking at? I don't see any changes in the ones I looked
at anytime recently (which might be after this release version I guess). 
Comment 20 Kevin Fenzi 2006-06-29 15:47:33 EDT
Sorry that this package dropped off my radar... 

Deji: You still around? 

The only blocker I still see here is what to put in the spec for License. 
I think "STL" or even "xcompmgr" would be acceptable. 

Any thoughts? It would be good to get this in... 
Comment 21 Deji Akingunola 2006-06-29 21:31:28 EDT
Ok, here is it, with 'STL' for license.
ftp://czar.eas.yorku.ca/pub/xcompmgr/xcompmgr.spec
ftp://czar.eas.yorku.ca/pub/xcompmgr/xcompmgr-1.1.3-4.src.rpm
Comment 22 Kevin Fenzi 2006-06-29 21:39:53 EDT
Looks fine with me... go ahead and import and build. 

Don't forget to close this as NEXTRELEASE once it's imported and built. 
Comment 23 Deji Akingunola 2006-06-30 20:30:10 EDT
Imported and built.

Note You need to log in before you can comment on or make changes to this bug.